/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VImportLog;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VImportLogRecord extends TableRecordImpl<VImportLogRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_import_log.module</code>.
     */
    public void setModule(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.module</code>.
     */
    public String getModule() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_import_log.module_start</code>.
     */
    public void setModuleStart(LocalDateTime value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.module_start</code>.
     */
    public LocalDateTime getModuleStart() {
        return (LocalDateTime) get(1);
    }

    /**
     * Setter for <code>common_dd.v_import_log.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(2);
    }

    /**
     * Setter for <code>common_dd.v_import_log.pk</code>.
     */
    public void setPk(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_import_log.fk_import_log</code>.
     */
    public void setFkImportLog(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.fk_import_log</code>.
     */
    public Integer getFkImportLog() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_import_log.pseudo_id</code>.
     */
    public void setPseudoId(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.pseudo_id</code>.
     */
    public String getPseudoId() {
        return (String) get(5);
    }

    /**
     * Setter for <code>common_dd.v_import_log.measure_id</code>.
     */
    public void setMeasureId(Integer value) {
        set(6, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.measure_id</code>.
     */
    public Integer getMeasureId() {
        return (Integer) get(6);
    }

    /**
     * Setter for <code>common_dd.v_import_log.import_date</code>.
     */
    public void setImportDate(LocalDateTime value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.import_date</code>.
     */
    public LocalDateTime getImportDate() {
        return (LocalDateTime) get(7);
    }

    /**
     * Setter for <code>common_dd.v_import_log.state</code>.
     */
    public void setState(Integer value) {
        set(8, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.state</code>.
     */
    public Integer getState() {
        return (Integer) get(8);
    }

    /**
     * Setter for <code>common_dd.v_import_log.description</code>.
     */
    public void setDescription(String value) {
        set(9, value);
    }

    /**
     * Getter for <code>common_dd.v_import_log.description</code>.
     */
    public String getDescription() {
        return (String) get(9);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VImportLogRecord
     */
    public VImportLogRecord() {
        super(VImportLog.V_IMPORT_LOG);
    }

    /**
     * Create a detached, initialised VImportLogRecord
     */
    public VImportLogRecord(String module, LocalDateTime moduleStart, LocalDateTime lastchange, Integer pk, Integer fkImportLog, String pseudoId, Integer measureId, LocalDateTime importDate, Integer state, String description) {
        super(VImportLog.V_IMPORT_LOG);

        setModule(module);
        setModuleStart(moduleStart);
        setLastchange(lastchange);
        setPk(pk);
        setFkImportLog(fkImportLog);
        setPseudoId(pseudoId);
        setMeasureId(measureId);
        setImportDate(importDate);
        setState(state);
        setDescription(description);
        resetChangedOnNotNull();
    }
}
